namespace Wishlist.Data.Entities;

public struct ReserveStatus
{
    public User? ReserveUser { get; set; }
    
    public static readonly ReserveStatus NotReserve = new ();

    public ReserveStatus()
    {
        ReserveUser = null;
    }

    public ReserveStatus(User? reserveUser)
    {
        ReserveUser = reserveUser;
    }
    
    public bool IsReserved()
    {
        return ReserveUser is not null;
    }
}